// ---------------------------------------------------------------------------
//	PSG+BEEP Implementation
//	Copyright (C) cisc 1997, 1998.
// ---------------------------------------------------------------------------
//	$Id: psgb.h,v 1.1 1999/03/20 10:12:46 cisc Exp $

#ifndef PSGB_H
#define PSGB_H

#include "psg.h"

// ---------------------------------------------------------------------------

class PSGB : public PSG
{
public:
	PSGB();
	~PSGB();
	bool Init(uint rate);
	void EmitWave(Sample* dest, int nsamples, uint32 bp, uint32 pp, uint p40);
	void EmitWaveDCh(Sample* dest, int nsamples, uint32 bp, uint32 pp, uint p40);

private:
	uint32 pcount;
	uint32 bcount;
	uint32 bbcount;
	uint32 bbperiod;
};

#endif
